ValidateTag

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help.tagext
Class ValidateTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.help.tagext.ValidateTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class ValidateTag
extends javax.servlet.jsp.tagext.TagSupport

Validates a HelpSet file and an Map.ID thourgh either a Request Parameter or passed as a JSP argument and sets the state in a HelpBroker. Additionally allows a HelpSet to be merged with the current HelpSet in the HelpBroker.

See Also:
  `HelpSet`, `Map.ID`, `HelpBroker`, Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ValidateTag()`

Method Summary
`int` | `doStartTag()`
`void` | `setCurrentID(java.lang.String id)`
`void` | `setHelpBroker(HelpBroker helpBroker)`
`void` | `setHelpSetName(java.lang.String hsName)`
`void` | `setInvalidURL(java.lang.String relativeURLPath)`
`void` | `setMerge(boolean merge)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidateTag

    public ValidateTag()

Method Detail

### setHelpBroker

    public void setHelpBroker(HelpBroker helpBroker)

### setInvalidURL

    public void setInvalidURL(java.lang.String relativeURLPath)

### setHelpSetName

    public void setHelpSetName(java.lang.String hsName)

### setCurrentID

    public void setCurrentID(java.lang.String id)

### setMerge

    public void setMerge(boolean merge)

### doStartTag

    public int doStartTag()

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD